<!--       
*     Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
*     Use is subject to license terms.
-->
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
    <head>
        <title>RESTful JavaScript Client Wizard (HTML5): Configure JavaScript REST Client</title>
        <meta content="text/html; charset=UTF-8" http-equiv="Content-Type">
        <link rel="stylesheet" href=
              "nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
        <meta name="keywords" content="rest, patterns">
    </head>
    <body>
        <p> <small><a href="#seealso">See Also</a>&nbsp; </small> 
        <h2>RESTful JavaScript Client Wizard (HTML5): Configure JavaScript REST Client</h2>
        <p>You use this wizard when developing an HTML5 application to generate a JavaScript client for a RESTful web service.</p>
        <p>In this panel of the wizard, you specify the name and location for the JavaScript
            file and locate the REST resources to use to generate the JavaScript client.
            You can also choose a UI for the client. 
        </p>  
        
        
<p>This panel contains the following fields.</p>
<ul>
    <li><strong>File Name.</strong> Type the name of the JavaScript file that will be generated.</li>
    <li><strong>Project.</strong> The NetBeans project containing the client. The value is generated by the IDE.</li>
    <li><strong>Folder.</strong> The directory inside the NetBeans project that contains the JavaScript file. </li>
    <li><strong>REST Project Resource.</strong> Click Browse to locate the RESTful resource that the client
        will be based on.
        The resource must be located in a NetBeans project that is open in the IDE.</li>
    <li><strong>Choose Resulting UI.</strong> Select a UI option from the dropdown list. 
        The default is "No UI". 
        If you select the Tablesorter UI you can specify the name of the generated HTML file in the
    next panel of the wizard.</li>
    <li><strong>Add backbone.js to project sources.</strong> When selected, the IDE adds the backbone.js JavaScript library to the
        the project.</li>
</ul>
  <p>For more about RESTful web services, see the following documentation.</p>
      <object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
          <param name="content" value="http://docs.oracle.com/cd/E19776-01/820-4867/index.html">
          <param name="text" value="<html><u>RESTful Web Service Developer's Guide</u></html>">
          <param name="textFontSize" value="medium">
          <param name="textColor" value="blue">
      </object>
        <dl> 
  <dt><a name="seealso">See Also</a></dt>
  <dd><a href="../../consume/wsc_stubs.html">Generating RESTful Web Service JavaScript Clients</a></dd>
  <dd><a href="../../about/about_rest.html">About RESTful Web Services</a></dd>
  </dl>

<hr><small><a href="../../../credits.html">Legal Notices</a></small>

<table border="0" cellpadding="50">
<tr><td>&nbsp;</td></tr>
</table>
    </body>
</html>
